
#pragma once
#include "DisasmDlg.h"
#include "DocPaneDlgViewBase.h"

class CDisasmView : public CDocPaneDlgViewBase
{
		DECLARE_DYNAMIC(CDisasmView)

		CDisasmDlg m_Dlg;

	public:
		CDisasmView(UINT nErrID);
		virtual ~CDisasmView() override;

		inline void initDebugger()
		{
			m_Dlg.InitDebugger();
		}

		void SetAddr(uint16_t addr);

	protected:
		DECLARE_MESSAGE_MAP()
};

